DEF BUFFER b-wm-release FOR wm-release.
DISABLE TRIGGERS FOR LOAD OF b-wm-release.


FOR EACH wm-release NO-LOCK WHERE ind_master = TRUE:
  FIND wm-in_ord WHERE
       wm-in_ord.companycode = wm-release.companycode
   AND wm-in_ord.IN_ordnr    = wm-release.IN_ordnr
       NO-LOCK NO-ERROR.
  IF AVAIL wm-in_ord 
   AND LOOKUP(wm-in_ord.statuscode,"CONFIRMED,COMPLETED") > 0
  THEN DO:
    RUN updateRelease.
  END.
END.

PROCEDURE updateRelease:
  blok:
  DO TRANSACTION ON ERROR UNDO blok, LEAVE blok:
    FOR EACH b-wm-release EXCLUSIVE WHERE
             b-wm-release.companycode      = wm-release.companycode
         AND b-wm-release.master_releasenr = wm-release.master_releasenr
              ON ERROR UNDO blok, LEAVE blok:
      b-wm-release.ind_in_warehouse = TRUE.
    END.
  END.
END PROCEDURE.
