{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: wm/conversion/12.02/wm-1202-after-01-wm-val-processing.p
  Doel: - VAL Processing Records die Wel Commit Measures zijn, ook de 
          correct Confirm Operations Status meegeven
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.

DEF BUFFER b-wm-val_ord_process FOR wm-val_ord_process.

ASSIGN cProgram =  "wm-1202-after-01-wm-val-processing.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



DO TRANSACTION:
  ASSIGN cAction  = "Fill Confirm Operations Status for VAL Processing."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, '', 0, iDone).

  DISABLE TRIGGERS FOR LOAD OF b-wm-val_ord_process.

  FOR EACH b-wm-val_ord_process 
     WHERE b-wm-val_ord_process.commit_usercode <> "" AND
           b-wm-val_ord_process.confirm_usercode = "" 
           EXCLUSIVE-LOCK:

    ASSIGN b-wm-val_ord_process.confirm_usercode = b-wm-val_ord_process.commit_usercode
           b-wm-val_ord_process.dt_confirm       = b-wm-val_ord_process.dt_commit
           b-wm-val_ord_process.tim_confirm      = b-wm-val_ord_process.tim_commit.

    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, '', 0, iDone).
  END.
END.

RUN DisplayProgress (cProgram, cAction, '', 0, iDone).




