{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Visit items"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-visit_item".

DEF BUFFER b-wm-visit_item FOR wm-visit_item.
DISABLE TRIGGERS FOR LOAD OF b-wm-visit_item.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-visit_item NO-LOCK WHERE
         wm-visit_item.ind_inactive = FALSE:
  blok:
  DO TRANSACTION ON ERROR UNDO blok, LEAVE blok:
    FIND b-wm-visit_item EXCLUSIVE WHERE ROWID(b-wm-visit_item) = ROWID(wm-visit_item).
    CASE wm-visit_item.order_typecode:
      WHEN 'intake' 
      THEN DO:
        FIND wm-in_ord WHERE
             wm-in_ord.companycode = wm-visit_item.companycode
         AND wm-in_ord.IN_ordnr    = wm-visit_item.IN_ordnr    
             NO-LOCK NO-ERROR.
        IF AVAIL wm-in_ord 
        THEN b-wm-visit_item.dt_order = wm-in_ord.dt_discharge.
      END.
      WHEN 'outtake' 
      THEN DO:
        FIND wm-out_ord WHERE
             wm-out_ord.companycode = wm-visit_item.companycode
         AND wm-out_ord.out_ordnr    = wm-visit_item.out_ordnr    
             NO-LOCK NO-ERROR.
        IF AVAIL wm-out_ord 
        THEN b-wm-visit_item.dt_order = wm-out_ord.dt_loading.
      END.
    END CASE.
    iDone = iDone + 1.
    IF iDone MODULO 100 = 0
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  END.
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
