{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "WMS System codes"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-systemcode".

DEFINE BUFFER b-wm-systemcode FOR wm-systemcode.
DISABLE TRIGGERS FOR LOAD OF b-wm-systemcode.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

DO TRANSACTION:
  
  FIND b-wm-systemcode WHERE 
       b-wm-systemcode.systemtype = 'CUSTOMS'
   AND b-wm-systemcode.systemcode = 'AGS_EXPORT'
       EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAILABLE b-wm-systemcode
  THEN DO:
    CREATE b-wm-systemcode.
    ASSIGN b-wm-systemcode.systemtype = 'CUSTOMS'
           b-wm-systemcode.systemcode = 'AGS_EXPORT'
           b-wm-systemcode.ordernr = 1
           b-wm-systemcode.des = 'AGS Export'
           b-wm-systemcode.internal_code = 'AGS_EXPORT'
           b-wm-systemcode.ind_input_time = NO         .
  END.
  
  
  iDone = iDone + 1.                                                         
 
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
