
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

DEFINE VARIABLE cTerminal AS CHARACTER NO-UNDO.
DEFINE VARIABLE cPattern  AS CHARACTER NO-UNDO.

/* ************************  Function Prototypes ********************** */
   
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert terminaql groups"
  cTable   = "wm-loc_terminalgroup"
  iTotal   = 0
  iDone    = 0.

DEF BUFFER b-wm-loc_terminalgroup FOR wm-loc_terminalgroup.
DEF BUFFER b-wm-loc_terminal      FOR wm-loc_terminal.
DEF BUFFER b-wm-timeslot_pattern  FOR wm-timeslot_pattern.

DISABLE TRIGGERS FOR LOAD OF wm-loc_terminalgroup.
DISABLE TRIGGERS FOR LOAD OF wm-loc_terminal.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH b-wm-timeslot_pattern NO-LOCK BREAK BY b-wm-timeslot_pattern.companycode BY b-wm-timeslot_pattern.loc_terminalgroupcode .
  IF FIRST-OF (b-wm-timeslot_pattern.loc_terminalgroupcode) THEN 
  DO.
    iDone = iDone + 1.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
    
    FIND b-wm-loc_terminal WHERE b-wm-loc_terminal.companycode      = b-wm-timeslot_pattern.companycode
                             AND b-wm-loc_terminal.loc_terminalcode = b-wm-timeslot_pattern.loc_terminalgroupcode NO-LOCK NO-ERROR.
    IF AVAIL b-wm-loc_terminal AND b-wm-loc_terminal.loc_terminalgroupcode = "" THEN 
    DO TRANSACTION.
      FIND CURRENT b-wm-loc_terminal EXCLUSIVE.
      CREATE b-wm-loc_terminalgroup.
      ASSIGN b-wm-loc_terminalgroup.companycode           = b-wm-loc_terminal.companycode
             b-wm-loc_terminalgroup.loc_terminalgroupcode = b-wm-loc_terminal.loc_terminalcode
             b-wm-loc_terminalgroup.des                   = b-wm-loc_terminal.des.
      
      ASSIGN b-wm-loc_terminal.loc_terminalgroupcode = b-wm-loc_terminalgroup.loc_terminalgroupcode.
    END.  
  END.    
END.                                      

