
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

/* ************************  Function Prototypes ********************** */
   
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert parameter status"
  cTable   = "wm-parameter_status"
  iTotal   = 0
  iDone    = 0.

DEF BUFFER b-wm-parameter_status FOR wm-parameter_status.
DEF BUFFER b-wm-systemcode       FOR wm-systemcode.

DISABLE TRIGGERS FOR LOAD OF b-wm-parameter_status.

DO TRANSACTION.
  FOR EACH sp-company NO-LOCK.
    
    FOR EACH b-wm-systemcode WHERE b-wm-systemcode.systemtype = "visit" EXCLUSIVE-LOCK:
      iTotal = iTotal + 1.
      FIND b-wm-parameter_status WHERE
           b-wm-parameter_status.companycode = sp-company.companycode
       AND b-wm-parameter_status.ordertype   = b-wm-systemcode.systemtype
       AND b-wm-parameter_status.statuscode  = b-wm-systemcode.systemcode
           EXCLUSIVE-LOCK NO-ERROR.
       IF NOT AVAIL b-wm-parameter_status
       THEN DO:
         CREATE b-wm-parameter_status.
         ASSIGN b-wm-parameter_status.companycode        = sp-company.companycode
                b-wm-parameter_status.ordertype          = b-wm-systemcode.systemtype
                b-wm-parameter_status.statuscode         = b-wm-systemcode.systemcode
                b-wm-parameter_status.ordernr            = b-wm-systemcode.ordernr
                b-wm-parameter_status.ind_active         = TRUE 
                b-wm-parameter_status.ind_input_date     = b-wm-systemcode.ind_input_time
                b-wm-parameter_status.ind_time_mandatory = b-wm-systemcode.ind_input_time
                b-wm-parameter_status.field1             = '[none]'
                b-wm-parameter_status.field2             = '[none]'
                b-wm-parameter_status.field3             = '[none]'.
       END.
       ELSE DO:
         b-wm-parameter_status.ordernr = b-wm-systemcode.ordernr.
       END.
       iDone = iDone + 1.
       RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
    END. 
  END. 
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).






/* **********************  Internal Procedures  *********************** */
