
/*------------------------------------------------------------------------
    File        : wm-2103-after-01-wm-ssd.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : Wed Feb 14 11:34:00 CET 2018
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF

DEFINE VARIABLE cProgram   AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel       AS INTEGER   NO-UNDO.


DEF BUFFER b-wm-ssd       FOR wm-ssd.
DEF BUFFER b-wm-visit_log FOR wm-visit_log.
  


/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */

DISABLE TRIGGERS FOR LOAD OF b-wm-ssd.
DISABLE TRIGGERS FOR LOAD OF b-wm-visit_log.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert wm-ssd"
  cTable   = "wm-ssd"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH b-wm-ssd EXCLUSIVE-LOCK.
  b-wm-ssd.statuscode = "IDLE".
    
  iDone  = iDone + 1.
  iTotal = iDone.
  
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
        
FOR EACH b-wm-visit_log EXCLUSIVE-LOCK.
  DELETE b-wm-visit_log.
    
  iDone  = iDone + 1.
  iTotal = iDone.
  
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.
    