DEF BUFFER b-wm-customs         FOR wm-customs.
DEF BUFFER b-wm-customs_profile FOR wm-customs_profile.

blok:
DO TRANSACTION ON ERROR UNDO blok, LEAVE blok:
  FOR EACH wm-customs NO-LOCK WHERE 
           wm-customs.companycode = ""
            ON ERROR UNDO blok, LEAVE blok:
    FOR EACH sp-company NO-LOCK
               ON ERROR UNDO blok, LEAVE blok:
      CREATE b-wm-customs.
      BUFFER-COPY wm-customs
               TO b-wm-customs
           ASSIGN b-wm-customs.companycode = sp-company.companycode.
      FOR EACH wm-customs_profile NO-LOCK WHERE 
               wm-customs_profile.companycode = "" 
           AND wm-customs_profile.customscode = wm-customs.customscode
                ON ERROR UNDO blok, LEAVE blok:
        CREATE b-wm-customs_profile.
        BUFFER-COPY wm-customs_profile
                 TO b-wm-customs_profile
             ASSIGN b-wm-customs_profile.companycode = sp-company.companycode.
      END.
    END.
  END.

  DISABLE TRIGGERS FOR LOAD OF wm-customs.
  DISABLE TRIGGERS FOR LOAD OF wm-customs_profile.
  FOR EACH wm-customs WHERE 
           wm-customs.companycode = ""
            ON ERROR UNDO blok, LEAVE blok:
    FOR EACH wm-customs_profile WHERE 
             wm-customs_profile.companycode = "" 
         AND wm-customs_profile.customscode = wm-customs.customscode
              ON ERROR UNDO blok, LEAVE blok:
      DELETE wm-customs_profile.        
    END.
    DELETE wm-customs.        
  END.

END.

