{system/conversion/conversion_progress.i} 

DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

DEFINE BUFFER b-wm-gpa        FOR wm-gpa.
DEFINE BUFFER b-wm-gpa-status FOR wm-gpa-status.
DEFINE BUFFER b-wm-gpa-check  FOR wm-gpa-check.

DEFINE BUFFER b-dd-gpa        FOR dd-gpa.
DEFINE BUFFER b-dd-gpa-status FOR dd-gpa-status.
DEFINE BUFFER b-dd-gpa-check  FOR dd-gpa-check.

ASSIGN 
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Copy GPA records"
  iTotal   = 0
  iDone    = 0
  cTable   = "wm-gpa"
  .
       
DISABLE TRIGGERS FOR LOAD OF b-dd-gpa.
DISABLE TRIGGERS FOR LOAD OF b-dd-gpa-status.
DISABLE TRIGGERS FOR LOAD OF b-dd-gpa-check.


RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone). 

FOR EACH b-wm-gpa-status NO-LOCK :
  
  IF NOT CAN-FIND(b-dd-gpa-status WHERE b-dd-gpa-status.companycode = b-wm-gpa-status.companycode AND b-dd-gpa-status.gpacode = b-wm-gpa-status.gpacode) THEN 
  DO:     
    /* create dd-gpa-status */
    DO TRANSACTION:
      CREATE b-dd-gpa-status.
      BUFFER-COPY b-wm-gpa-status TO b-dd-gpa-status . 
    END. 
       
  END.  /* NOT CAN-FIND  b-dd-gpa-status */
END.  
  
  /* create dd-gpa-check */
  FOR EACH b-wm-gpa-check NO-LOCK:
      
    /* create dd-gpa-check */
    IF NOT CAN-FIND(b-dd-gpa-check OF b-wm-gpa-check) THEN     
    DO:
      DO TRANSACTION:
        CREATE b-dd-gpa-check.
        BUFFER-COPY b-wm-gpa-check TO b-dd-gpa-check . 
      END. 
    END.
      
  END.  
    
  /* create dd-gpa */
  FOR EACH b-wm-gpa  NO-LOCK :
    /* create dd-gpa */
    IF NOT CAN-FIND(FIRST b-dd-gpa WHERE b-dd-gpa.companycode = b-wm-gpa.companycode 
      AND b-dd-gpa.gpacode     = b-wm-gpa.gpacode
      AND b-dd-gpa.sequence    = b-wm-gpa.sequence ) THEN
    DO:
      DO TRANSACTION:
        CREATE b-dd-gpa NO-ERROR. /* k8a is verwijderd, k8 zal in dd-gpa in gewenste datatype (character) zijn */
        BUFFER-COPY b-wm-gpa EXCEPT b-wm-gpa.k8 b-wm-gpa.k8a TO b-dd-gpa.
        ASSIGN
          b-dd-gpa.k8 = b-wm-gpa.k8a
          . 
      END.      
      iDone = iDone + 1.
      IF iDone MODULO 100 = 0
        THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone). 
        
    END. 
      
  END.  

 RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone). 





