{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Invoice"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-invoice".

DEF BUFFER b-wm-invoice FOR wm-invoice.
DISABLE TRIGGERS FOR LOAD OF b-wm-invoice.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH wm-invoice NO-LOCK:
  DO TRANSACTION:
    FIND b-wm-invoice EXCLUSIVE WHERE ROWID(b-wm-invoice) = ROWID(wm-invoice).
    IF b-wm-invoice.invoice_mode = "" 
    THEN b-wm-invoice.invoice_mode = "NORMAL".
    IF b-wm-invoice.statuscode = "STORAGE CLAIMED" 
    THEN b-wm-invoice.statuscode = "SELECTED".
    IF b-wm-invoice.attachmentnr = 0
    THEN b-wm-invoice.attachmentnr = NEXT-VALUE(aa-attachment).
  END.
  iDone = iDone + 1.
  IF iDone MODULO 100 = 0
  THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
