{system/conversion/conversion_progress.i}
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "System parameters"
       iTotal   = 0
       iDone    = 0
       cTable   = "wm-parameter".

DISABLE TRIGGERS FOR LOAD OF wm-parameter.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

DO TRANSACTION.
  
  FIND sp-control WHERE sp-control.controlkode = "WM-VISIT-FILTER-DT" EXCLUSIVE-LOCK NO-ERROR.
  
  FOR EACH wm-parameter EXCLUSIVE-LOCK:
    /*Visit filter from/till overnemen uit tijdelijke sp-control parameter*/
    IF AVAIL sp-control        
    THEN ASSIGN wm-parameter.filter_visit_from = INT(sp-control.lijst)
                wm-parameter.filter_visit_till = INT(sp-control.lijst-2).
    /*Anders wanneer nog niet ingevuld een default waarde toekennen*/
    ELSE IF wm-parameter.filter_visit_from + wm-parameter.filter_visit_till = 0 
    THEN ASSIGN wm-parameter.filter_visit_from = 7
                wm-parameter.filter_visit_till = 31.
    iDone = iDone + 1.                                                         
  END.
  
  /* Dit was een tijdelijke sp-control parameter, dus hij mag nu weg */
  IF AVAIL sp-control THEN DELETE sp-control.
  
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
