
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

/* ************************  Function Prototypes ********************** */
   
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Create and update visit status system codes"
  cTable   = "wm-systemcode"
  iTotal   = 0
  iDone    = 0.

DEF BUFFER b-wm-systemcode FOR wm-systemcode.

DISABLE TRIGGERS FOR LOAD OF b-wm-systemcode.

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT"    
                       AND b-wm-systemcode.systemcode     = "CANCELLED" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT"
         b-wm-systemcode.systemcode     = "CANCELLED"  
         b-wm-systemcode.internal_code  = "CANCELLED"
         b-wm-systemcode.des            = "Cancelled".
END.
b-wm-systemcode.ind_input_time = FALSE. 
b-wm-systemcode.ordernr        = 10.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT"    
                       AND b-wm-systemcode.systemcode     = "NEW" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT"
         b-wm-systemcode.systemcode     = "NEW"  
         b-wm-systemcode.internal_code  = "NEW"
         b-wm-systemcode.des            = "New".
END.
b-wm-systemcode.ind_input_time = FALSE. 
b-wm-systemcode.ordernr        = 20.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
         
FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT"    
                       AND b-wm-systemcode.systemcode     = "ARRIVED" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT"
         b-wm-systemcode.systemcode     = "ARRIVED"  
         b-wm-systemcode.internal_code  = "ARRIVED"
         b-wm-systemcode.des            = "Arrived".
END.
b-wm-systemcode.ind_input_time = TRUE. 
b-wm-systemcode.ordernr        = 30.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT"    
                       AND b-wm-systemcode.systemcode     = "GATE-IN" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT"
         b-wm-systemcode.systemcode     = "GATE-IN"  
         b-wm-systemcode.internal_code  = "GATE-IN"
         b-wm-systemcode.des            = "Gate-in".
END.
b-wm-systemcode.ind_input_time = TRUE.
b-wm-systemcode.ordernr        = 40.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT"    
                       AND b-wm-systemcode.systemcode     = "DOCKED" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT"
         b-wm-systemcode.systemcode     = "DOCKED"  
         b-wm-systemcode.internal_code  = "DOCKED"
         b-wm-systemcode.des            = "Docked".
END.
b-wm-systemcode.ind_input_time = TRUE.
b-wm-systemcode.ordernr        = 50.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT"    
                       AND b-wm-systemcode.systemcode     = "UNDOCKED" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT"
         b-wm-systemcode.systemcode     = "UNDOCKED"  
         b-wm-systemcode.internal_code  = "UNDOCKED"
         b-wm-systemcode.des            = "Undocked".
END.
b-wm-systemcode.ind_input_time = TRUE.
b-wm-systemcode.ordernr        = 60.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT"    
                       AND b-wm-systemcode.systemcode     = "GATE-OUT" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT"
         b-wm-systemcode.systemcode     = "GATE-OUT"  
         b-wm-systemcode.internal_code  = "GATE-OUT"
         b-wm-systemcode.des            = "Gate-out".
END.
b-wm-systemcode.ind_input_time = TRUE.
b-wm-systemcode.ordernr        = 70.  

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT-TYPE"    
                       AND b-wm-systemcode.systemcode     = "VISIT" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT-TYPE"
         b-wm-systemcode.systemcode     = "VISIT"  
         b-wm-systemcode.internal_code  = "VISIT"
         b-wm-systemcode.des            = "Visit".
END.
b-wm-systemcode.ordernr = 10.

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT-TYPE"    
                       AND b-wm-systemcode.systemcode     = "CONSIGNMENT" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT-TYPE"
         b-wm-systemcode.systemcode     = "CONSIGNMENT"  
         b-wm-systemcode.internal_code  = "CONSIGNMENT"
         b-wm-systemcode.des            = "Consignment".
END.
b-wm-systemcode.ordernr = 20.

FIND b-wm-systemcode WHERE b-wm-systemcode.systemtype     = "VISIT-TYPE"    
                       AND b-wm-systemcode.systemcode     = "COLLECTION" EXCLUSIVE-LOCK NO-ERROR.
IF NOT AVAIL b-wm-systemcode THEN 
DO.
  CREATE b-wm-systemcode.
  ASSIGN b-wm-systemcode.systemtype     = "VISIT-TYPE"
         b-wm-systemcode.systemcode     = "COLLECTION"  
         b-wm-systemcode.internal_code  = "COLLECTION"
         b-wm-systemcode.des            = "Collection".
END.
b-wm-systemcode.ordernr = 30.

/* **********************  Internal Procedures  *********************** */
