
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

DEFINE VARIABLE cTerminal AS CHARACTER NO-UNDO.
DEFINE VARIABLE cPattern  AS CHARACTER NO-UNDO.

/* ************************  Function Prototypes ********************** */
   
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert timeslot pattern day plans"
  cTable   = "wm-timeslot"
  iTotal   = 0
  iDone    = 0.

DEF BUFFER b-wm-timeslot FOR wm-timeslot.

DISABLE TRIGGERS FOR LOAD OF b-wm-timeslot.

DO TRANSACTION.
  FIND sp-control WHERE sp-control.controlkode = "WM-TIMSET-CREATED" EXCLUSIVE-LOCK NO-ERROR.
  IF AVAIL sp-control THEN DELETE sp-control.
END.

iDone = iDone + 1.
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH b-wm-timeslot EXCLUSIVE-LOCK.
  IF NUM-ENTRIES(b-wm-timeslot.loc_terminalgroupcode, ";") = 3 THEN 
  DO.
    cTerminal = ENTRY(2, b-wm-timeslot.loc_terminalgroupcode, ";").
    cPattern  = ENTRY(3, b-wm-timeslot.loc_terminalgroupcode, ";").
    ASSIGN b-wm-timeslot.loc_terminalgroupcode = cTerminal
           b-wm-timeslot.patterncode           = cPattern.
    iDone = iDone + 1.
    IF iDone MODULO 1000 = 0 
    THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).       
  END.
END.

