
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

/* ************************  Function Prototypes ********************** */
   
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert timeslot settings"
  cTable   = "wm-timeslot_setting"
  iTotal   = 0
  iDone    = 0.

DEF BUFFER b-wm-timeslot_setting FOR wm-timeslot_setting.

DISABLE TRIGGERS FOR LOAD OF b-wm-timeslot_setting.

DO TRANSACTION.
  
  FOR EACH sp-control WHERE sp-control.controlkode BEGINS "WM-PLANNING-TYPE".
    FIND b-wm-timeslot_setting WHERE b-wm-timeslot_setting.companycode = ENTRY(4, sp-control.controlkode, "-") EXCLUSIVE-LOCK NO-ERROR.
    IF AVAIL b-wm-timeslot_setting THEN
    DO.
      b-wm-timeslot_setting.planning_type = sp-control.lijst.
      DELETE sp-control.
    END.  
  END.  
  
  FOR EACH sp-control WHERE sp-control.controlkode BEGINS "WM-PLANNING-ALLOW-OVERLAP".
    FIND b-wm-timeslot_setting WHERE b-wm-timeslot_setting.companycode = ENTRY(5, sp-control.controlkode, "-") EXCLUSIVE-LOCK NO-ERROR.
    IF AVAIL b-wm-timeslot_setting THEN
    DO.
      b-wm-timeslot_setting.ind_allow_timeslot_overlap = LOGICAL(sp-control.lijst) NO-ERROR.
      DELETE sp-control.
    END.
  END.

  iDone = iDone + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
      
END.




