
{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

/* ************************  Function Prototypes ********************** */
   
/* *********************** main block ********************************* */  
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Convert visit types"
  cTable   = "wm-visit_type"
  iTotal   = 0
  iDone    = 0.

DEF BUFFER b-wm-visit_type FOR wm-visit_type.

DISABLE TRIGGERS FOR LOAD OF b-wm-visit_type.

DO TRANSACTION.
  FIND b-wm-visit_type WHERE b-wm-visit_type.visit_type = "COLLECTION" EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAIL b-wm-visit_type THEN 
  DO.
    CREATE b-wm-visit_type.
    ASSIGN b-wm-visit_type.visit_type = "COLLECTION". 
  END.
  b-wm-visit_type.des = "Collection of visits that expire on end of timeslot booking period".
  FIND b-wm-visit_type WHERE b-wm-visit_type.visit_type = "CONSIGNMENT" EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAIL b-wm-visit_type THEN 
  DO.
    CREATE b-wm-visit_type.
    ASSIGN b-wm-visit_type.visit_type = "CONSIGNMENT". 
  END.
  b-wm-visit_type.des = "Prepared visit which can be added to a truck via TAS".
  FIND b-wm-visit_type WHERE b-wm-visit_type.visit_type = "VISIT" EXCLUSIVE-LOCK NO-ERROR.
  IF NOT AVAIL b-wm-visit_type THEN 
  DO.
    CREATE b-wm-visit_type.
    ASSIGN b-wm-visit_type.visit_type = "VISIT". 
  END.
  b-wm-visit_type.des = "Normal visit (may be part of a collection)".
  iDone = 3.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
END.




